| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Gaudi::PluginService::Details::Registry::FactoryInfo Struct Reference

`#include <Gaudi/Details/PluginServiceDetails.h>`

Collaboration diagram for Gaudi::PluginService::Details::Registry::FactoryInfo:
[legend]

## Public Member Functions
| FactoryInfo (std::string lib, void *p=nullptr, std::string t="", std::string rt="", std::string cn="", Properties props=Properties())
FactoryInfo & | addProperty (const KeyType &k, std::string v)

## Public Attributes
std::string | library
void * | ptr
std::string | type
std::string | rtype
std::string | className
Properties | properties

## Detailed Description

Definition at line 118 of file PluginServiceDetails.h.

## Constructor & Destructor Documentation

Gaudi::PluginService::Details::Registry::FactoryInfo::FactoryInfo | ( | std::string | lib,
|  | void * | p = `nullptr`,
|  | std::string | t = `""`,
|  | std::string | rt = `""`,
|  | std::string | cn = `""`,
|  | Properties | props = `Properties()`
| ) |  |
| inline

Definition at line 119 of file PluginServiceDetails.h.

121 : library( std::move( lib ) )
122 , ptr( p )
123 , type( std::move( t ) )
124 , rtype( std::move( rt ) )
125 , className( std::move( cn ) )
126 , properties( std::move( props ) )
127 {
128 }
Gaudi::PluginService::Details::Registry::FactoryInfo::properties
Properties properties
Definition: PluginServiceDetails.h:135
Gaudi::PluginService::Details::Registry::FactoryInfo::ptr
void * ptr
Definition: PluginServiceDetails.h:131
std::move
T move(T...args)
Gaudi::PluginService::Details::Registry::FactoryInfo::library
std::string library
Definition: PluginServiceDetails.h:130
Gaudi::PluginService::Details::Registry::FactoryInfo::rtype
std::string rtype
Definition: PluginServiceDetails.h:133
Gaudi::PluginService::Details::Registry::FactoryInfo::className
std::string className
Definition: PluginServiceDetails.h:134
Gaudi::PluginService::Details::Registry::FactoryInfo::type
std::string type
Definition: PluginServiceDetails.h:132

## Member Function Documentation

FactoryInfo& Gaudi::PluginService::Details::Registry::FactoryInfo::addProperty | ( | const KeyType & | k,
|  | std::string | v
| ) |  |
| inline

Definition at line 137 of file PluginServiceDetails.h.

138 {
139 properties[k] = std::move( v );
140 return *this;
141 }
Gaudi::PluginService::Details::Registry::FactoryInfo::properties
Properties properties
Definition: PluginServiceDetails.h:135
std::move
T move(T...args)

## Member Data Documentation

std::string Gaudi::PluginService::Details::Registry::FactoryInfo::className

Definition at line 134 of file PluginServiceDetails.h.

std::string Gaudi::PluginService::Details::Registry::FactoryInfo::library

Definition at line 130 of file PluginServiceDetails.h.

Properties Gaudi::PluginService::Details::Registry::FactoryInfo::properties

Definition at line 135 of file PluginServiceDetails.h.

void* Gaudi::PluginService::Details::Registry::FactoryInfo::ptr

Definition at line 131 of file PluginServiceDetails.h.

std::string Gaudi::PluginService::Details::Registry::FactoryInfo::rtype

Definition at line 133 of file PluginServiceDetails.h.

std::string Gaudi::PluginService::Details::Registry::FactoryInfo::type

Definition at line 132 of file PluginServiceDetails.h.

The documentation for this struct was generated from the following file:

- GaudiPluginService/Gaudi/Details/PluginServiceDetails.h